
GammaLib - Bug #2838

Error in nbgd calculation for wstat

02/13/2019 05:23 PM - Tibaldo Luigi

Status: Closed Start date: 02/13/2019

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.6.0   

Description

In GCTAOnOffObservation, wstat_value, line 3272, currently reads

nbgd = 0;

It should be instead

nbgd = noff/alphap1;

The likelihood and gradients are calculated correctly, but this may have an impact on the calculation of residuals.

History

#1 - 03/06/2019 12:52 PM - Knödlseder Jürgen

- Project changed from ctools to GammaLib

- Target version deleted (1.6.0)

#2 - 03/06/2019 01:56 PM - Knödlseder Jürgen

- Subject changed from error in nbgd calculation for wstat to Error in nbgd calculation for wstat

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Target version set to 1.6.0

- % Done changed from 0 to 100

The code was modified according to the suggestion.

#3 - 03/21/2019 04:51 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed
